6.0.0-git
2021-01-19

[#8386] Mapping is broken
Summary Mapping is broken
Queue Synchronization
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester han.spruyt (at) ijsselgroep (dot) nl
Created 2009-06-27 (4224 days ago)
Due
Updated 2009-10-25 (4104 days ago)
Assigned 2009-10-11 (4118 days ago)
Resolved 2009-10-25 (4104 days ago)
Milestone 3.3.6
Patch No

History
2009-10-25 19:20:23 Jan Schneider State ⇒ Resolved
 
2009-10-25 18:10:03 info (at) pmrogan (dot) de Comment #8 Reply to this comment
The fix works for me.. Horde Groupware Webmail Edition 1.2.4 <-> 
Funambol Mozilla Sync Client 0.9.1


2009-10-21 14:05:51 Jan Schneider Comment #7 Reply to this comment
Anyone? I thought this bug was so important for so many people?
2009-10-11 17:20:55 Jan Schneider Comment #6
Taken from Gunnar Wrobel
State ⇒ Feedback
Reply to this comment
Please try the fix I committed.
2009-09-25 12:32:49 Jan Schneider Comment #3
Priority ⇒ 2. Medium
Milestone ⇒ 3.3.6
Reply to this comment
Any comment why priority is "low" for this bug?
Because this is only a problem if synching so many items that the 
mapping doesn't fit into a single SyncML message.
2009-09-21 09:28:25 lst_hoe02 (at) kwsoft (dot) de Comment #2 Reply to this comment
This bug seams still be there in the new 3.3.5 Horde Release? As this 
basically prevent SyncML from working we have to use the old Map.php 
further on??

Any comment why priority is "low" for this bug?
2009-06-28 16:21:16 Chuck Hagenbuch Assigned to Gunnar Wrobel
Assigned to Jan Schneider
State ⇒ Assigned
 
2009-06-27 23:50:11 han (dot) spruyt (at) ijsselgroep (dot) nl Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Mapping is broken
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
Reply to this comment
We use webmail edition 1.2.3



In version 1.1.10.12 of Framework/SincML/SyncML/Command/Map.php the 
code for creating the mapping record in horde_syncml_map moved from 
function endElement to function handleCommand.



But handleCommand is only called one per map command while endElement 
once per mapItem command.



The result is that now only for the last mapItem a mapping record is created.



Go back to an earlier version for Map.php solved the problem for us.


Saved Queries